Loupedeck CT System Requirements

General Requirements:

  • Windows 10
  • macOS 10.14 or higher
  • USB-C connectivity (or USB-A when using USB C-to-A adapter)
  • Internet connection to download Loupedeck software